Index: TibisayMovil/src/ve/gob/cenditel/tibisaymovil/BDOCVerifyResultActivity.java
===================================================================
--- TibisayMovil/src/ve/gob/cenditel/tibisaymovil/BDOCVerifyResultActivity.java	(revision 064d990f42d001ae8e867f8c0faeede085ff8909)
+++ TibisayMovil/src/ve/gob/cenditel/tibisaymovil/BDOCVerifyResultActivity.java	(revision 824553aa899bd0b2e427e0025bc4063fbdbb638d)
@@ -147,8 +147,57 @@
 		    Signature signature = sdoc.getSignature(0);
 		    	
-		    TextView result = (TextView) findViewById(R.id.archivo_para_firmar_path);
+		    // TextView para colocar el resultado de la firma
+		    TextView signatureVerificationResult = (TextView) findViewById(R.id.archivo_para_firmar_path);
+		    
+		    
+		    // array de excepciones lanzadas al verificar firmas
+		    ArrayList arraySignaturesErrors = null;
+		    
+		    // array de strings para almanecenar los errores de firmas
+		    ArrayList<String> signatureVerificationErrors = new ArrayList<String>();
+		    
+		    // verificar cada una de las firmas del contenedor
+		    for (int i = 0; i < sdoc.countSignatures(); i++){
+		    	Signature tmpSignature = sdoc.getSignature(i);
+		    	arraySignaturesErrors = new ArrayList();
+		    	arraySignaturesErrors = tmpSignature.verify(sdoc, false, false);
+		    	Log.d("****i:"+i,"arraySignaturesErrors.size: "+ arraySignaturesErrors.size());
+		    	
+		    	for (int j = 0; j < arraySignaturesErrors.size(); j++){
+		    		
+		    		signatureVerificationErrors.add("Firma "+Integer.toString(i+1)+ ": "+
+		    		arraySignaturesErrors.get(j).toString() + "\n");
+		    		
+		    		Log.d("****signatureVerificationErrors", 
+		    				"Firma "+Integer.toString(i+1)+ ": "+
+				    		arraySignaturesErrors.get(j).toString() + "\n");
+		    		Log.d("signatureVerificationErrors: ", signatureVerificationErrors.get(j).toString());
+		    	}
+		    	
+		    	//signatureVerificationErrors = "Firma "+Integer.toString(i+1)+ ": "+
+		    		//arraySignaturesErrors.get(i).toString() + "\n";
+		    }
+		    
+		    if (arraySignaturesErrors.isEmpty()) {
+		    	signatureVerificationResult.setText("Firma Válida");
+		    	Log.d("signature.verify", "NO HUBO ERROR EN LA VERIFICACION DE FIRMA");
+		    	Toast.makeText(getApplicationContext(), "¡FIRMA CORRECTA!", Toast.LENGTH_SHORT).show();
+		    	
+		    }else{
+		    	String finalErrors = "";
+		    	for (int i = 0; i < signatureVerificationErrors.size(); i++ ) {
+		    		finalErrors = finalErrors.concat(signatureVerificationErrors.get(i).toString());
+		    		//resultAndErrors = resultAndErrors.concat("Firma: "+i+" "+sigError.get(i).toString()+"\n");
+		    	}
+		    	signatureVerificationResult.setText("Firma Inválida\n"+finalErrors);
+		    	Log.d("************", "SI HUBO ERROR");
+		    	Log.d("************", finalErrors);
+		    	
+		    	Toast.makeText(getApplicationContext(), "ERROR DE VERIFICACION DE FIRMA", Toast.LENGTH_SHORT).show();
+		    }
+		    
 		    
 		    //ArrayList sigError = signature.verify(sdoc, false, false);
-		    ArrayList sigError = sdoc.verify(false, false);
+		    //ArrayList sigError = sdoc.verify(false, false);
 		    
 		    // se crea el adaptador para mostrar los documentos firmados
@@ -240,5 +289,5 @@
 		    
 			
-		    
+/*		    
 		    if(sigError.isEmpty()){
 		    	Log.d("signature.verify", "NO HUBO ERROR EN LA VERIFICACION DE FIRMA");
@@ -250,5 +299,5 @@
 		    	Log.d("-->: ", res);
 		    			    	
-		    	result.setText("Firma válida");
+		    	//result.setText("Firma válida");
 		    	
 		    }else{
@@ -261,5 +310,5 @@
 		    		Log.d("signature.verify", sigError.get(i).toString());
 		    		//resultAndErrors.concat(sigError.get(i).toString()+"\n");
-		    		resultAndErrors = resultAndErrors.concat(sigError.get(i).toString()+"\n");
+		    		resultAndErrors = resultAndErrors.concat("Firma: "+i+" "+sigError.get(i).toString()+"\n");
 		    		
 		    		//Toast.makeText(getApplicationContext(), sigError.get(i).toString(), Toast.LENGTH_SHORT).show();
@@ -267,6 +316,7 @@
 		    	Toast.makeText(getApplicationContext(), "ERROR DE VERIFICACION DE FIRMA", Toast.LENGTH_SHORT).show();		    	
 		    	//result.setText("Firma inválida");
-		    	result.setText(resultAndErrors);
+		    	//result.setText(resultAndErrors);
 		    }
+*/		    
 		    
 			