Index: TibisayMovil/gen/ve/gob/cenditel/tibisaymovil/R.java
===================================================================
--- TibisayMovil/gen/ve/gob/cenditel/tibisaymovil/R.java	(revision 6b383b31431d186a217999400c0025f006d4f9ab)
+++ TibisayMovil/gen/ve/gob/cenditel/tibisaymovil/R.java	(revision 4528953bef110cd13331d164bc3f6c13097c4b0e)
@@ -107,15 +107,18 @@
     }
     public static final class id {
-        public static final int ImageView01=0x7f0b0059;
-        public static final int action_settings=0x7f0b005a;
-        public static final int archivo_firmado=0x7f0b0030;
-        public static final int archivo_firmado_path=0x7f0b0031;
-        public static final int archivo_para_firmar=0x7f0b002c;
-        public static final int archivo_para_firmar_path=0x7f0b002d;
-        public static final int arrow_show_errors=0x7f0b0040;
-        public static final int button=0x7f0b0056;
+        public static final int ImageView01=0x7f0b005d;
+        public static final int action_settings=0x7f0b005e;
+        public static final int archivo_firmado=0x7f0b0037;
+        public static final int archivo_firmado_path=0x7f0b0038;
+        public static final int archivo_para_firmar=0x7f0b0033;
+        public static final int archivo_para_firmar_path=0x7f0b0034;
+        public static final int arrow_show_errors=0x7f0b0047;
+        public static final int button=0x7f0b005a;
         public static final int button_accept=0x7f0b0007;
         public static final int button_accept_text=0x7f0b0008;
         public static final int button_accept_zone=0x7f0b0006;
+        public static final int button_add_certificate=0x7f0b000a;
+        public static final int button_add_certificate_text=0x7f0b000b;
+        public static final int button_add_certificate_zone=0x7f0b0009;
         public static final int button_bar=0x7f0b0015;
         public static final int button_cancel=0x7f0b0001;
@@ -125,36 +128,37 @@
         public static final int button_clear_text=0x7f0b0005;
         public static final int button_clear_zone=0x7f0b0003;
-        public static final int button_delete=0x7f0b0046;
-        public static final int button_finish=0x7f0b000a;
-        public static final int button_finish_text=0x7f0b000b;
-        public static final int button_finish_zone=0x7f0b0009;
-        public static final int button_open=0x7f0b0047;
-        public static final int button_share=0x7f0b000d;
-        public static final int button_share_text=0x7f0b000e;
-        public static final int button_share_zone=0x7f0b000c;
-        public static final int cert_chooser=0x7f0b004b;
-        public static final int cert_chooser_install_button=0x7f0b0045;
-        public static final int cert_description=0x7f0b004a;
-        public static final int certificate_issuer=0x7f0b003f;
-        public static final int certificate_serial=0x7f0b003a;
+        public static final int button_delete=0x7f0b004b;
+        public static final int button_open=0x7f0b004c;
+        public static final int button_remove_certificate=0x7f0b000d;
+        public static final int button_remove_certificate_text=0x7f0b000e;
+        public static final int button_remove_certificate_zone=0x7f0b000c;
+        public static final int cert_chooser=0x7f0b0050;
+        public static final int cert_chooser_install_button=0x7f0b004a;
+        public static final int cert_description=0x7f0b004f;
+        public static final int certificate_issuer=0x7f0b0046;
+        public static final int certificate_list=0x7f0b0018;
+        public static final int certificate_serial=0x7f0b0041;
         public static final int certificate_valid_from=0x7f0b0011;
-        public static final int certificate_valid_until=0x7f0b003d;
-        public static final int change_password=0x7f0b0048;
-        public static final int documents_list=0x7f0b0041;
-        public static final int file_checkbox=0x7f0b004d;
-        public static final int file_list=0x7f0b0019;
-        public static final int file_radio=0x7f0b0053;
-        public static final int filename_data=0x7f0b004c;
-        public static final int filename_modified=0x7f0b004e;
-        public static final int filename_text=0x7f0b0044;
-        public static final int generalView=0x7f0b0049;
-        public static final int imageListMainMenu=0x7f0b0054;
-        public static final int imagen_utilizada=0x7f0b002e;
-        public static final int imagen_utlizada_name=0x7f0b002f;
-        public static final int label_certificate_issuer=0x7f0b003e;
-        public static final int label_certificate_serial=0x7f0b0039;
-        public static final int label_certificate_valid_from=0x7f0b003b;
-        public static final int label_certificate_valid_until=0x7f0b003c;
-        public static final int layoutSignatureErrors=0x7f0b0034;
+        public static final int certificate_valid_until=0x7f0b0044;
+        public static final int change_password=0x7f0b004d;
+        public static final int documents_list=0x7f0b0048;
+        public static final int file_checkbox=0x7f0b0051;
+        public static final int file_list=0x7f0b0021;
+        public static final int file_radio=0x7f0b0057;
+        public static final int filename_data=0x7f0b001c;
+        public static final int filename_modified=0x7f0b0052;
+        public static final int filename_text=0x7f0b001d;
+        public static final int generalView=0x7f0b004e;
+        public static final int imageListMainMenu=0x7f0b0058;
+        public static final int imagen_utilizada=0x7f0b0035;
+        public static final int imagen_utlizada_name=0x7f0b0036;
+        public static final int label_certificate_issuer=0x7f0b0045;
+        public static final int label_certificate_serial=0x7f0b0040;
+        public static final int label_certificate_to_remove=0x7f0b0019;
+        public static final int label_certificate_valid_from=0x7f0b0042;
+        public static final int label_certificate_valid_until=0x7f0b0043;
+        public static final int label_recipient_certificate=0x7f0b0017;
+        public static final int layoutSignatureErrors=0x7f0b003b;
+        public static final int layout_certificate_to_remove=0x7f0b001a;
         public static final int linearLayout=0x7f0b0013;
         public static final int linearLayout1=0x7f0b000f;
@@ -162,71 +166,74 @@
         public static final int linearSpacingBottom=0x7f0b0014;
         public static final int linearSpacingTop=0x7f0b0010;
-        public static final int listViewErrors=0x7f0b0033;
-        public static final int listViewFunctions=0x7f0b001b;
-        public static final int page_container=0x7f0b002a;
-        public static final int pages_spinner=0x7f0b002b;
-        public static final int path=0x7f0b0018;
-        public static final int pathstring=0x7f0b0017;
-        public static final int sel_sign_rel_layout=0x7f0b001c;
-        public static final int share_description=0x7f0b0016;
-        public static final int sign_description=0x7f0b001a;
-        public static final int signature_date=0x7f0b001d;
-        public static final int signature_errors=0x7f0b0052;
-        public static final int signature_errors_text=0x7f0b0035;
-        public static final int signature_icon=0x7f0b0050;
-        public static final int signatures_list=0x7f0b0042;
-        public static final int signer_data=0x7f0b004f;
-        public static final int signer_detail_errors=0x7f0b0036;
-        public static final int signer_info=0x7f0b0051;
-        public static final int tableRow1=0x7f0b001e;
-        public static final int tableRow2=0x7f0b0022;
-        public static final int tableRow3=0x7f0b0026;
-        public static final int text=0x7f0b0057;
-        public static final int textListMainMenu=0x7f0b0055;
-        public static final int textView11=0x7f0b001f;
-        public static final int textView12=0x7f0b0020;
-        public static final int textView13=0x7f0b0021;
-        public static final int textView21=0x7f0b0023;
-        public static final int textView22=0x7f0b0024;
-        public static final int textView23=0x7f0b0025;
-        public static final int textView31=0x7f0b0027;
-        public static final int textView32=0x7f0b0028;
-        public static final int textView33=0x7f0b0029;
-        public static final int the_button=0x7f0b0058;
-        public static final int title_certificate_info=0x7f0b0038;
-        public static final int title_signature_date_info=0x7f0b0037;
-        public static final int title_signature_errors=0x7f0b0032;
-        public static final int type_image=0x7f0b0043;
+        public static final int listViewErrors=0x7f0b003a;
+        public static final int listViewFunctions=0x7f0b0023;
+        public static final int page_container=0x7f0b0031;
+        public static final int pages_spinner=0x7f0b0032;
+        public static final int path=0x7f0b0020;
+        public static final int pathstring=0x7f0b001f;
+        public static final int recipient_certificate_layout=0x7f0b0016;
+        public static final int share_description=0x7f0b001e;
+        public static final int sign_description=0x7f0b0022;
+        public static final int signature_date=0x7f0b0024;
+        public static final int signature_errors=0x7f0b0056;
+        public static final int signature_errors_text=0x7f0b003c;
+        public static final int signature_icon=0x7f0b0054;
+        public static final int signatures_list=0x7f0b0049;
+        public static final int signer_data=0x7f0b0053;
+        public static final int signer_detail_errors=0x7f0b003d;
+        public static final int signer_info=0x7f0b0055;
+        public static final int tableRow1=0x7f0b0025;
+        public static final int tableRow2=0x7f0b0029;
+        public static final int tableRow3=0x7f0b002d;
+        public static final int text=0x7f0b005b;
+        public static final int textListMainMenu=0x7f0b0059;
+        public static final int textView11=0x7f0b0026;
+        public static final int textView12=0x7f0b0027;
+        public static final int textView13=0x7f0b0028;
+        public static final int textView21=0x7f0b002a;
+        public static final int textView22=0x7f0b002b;
+        public static final int textView23=0x7f0b002c;
+        public static final int textView31=0x7f0b002e;
+        public static final int textView32=0x7f0b002f;
+        public static final int textView33=0x7f0b0030;
+        public static final int the_button=0x7f0b005c;
+        public static final int title_certificate_info=0x7f0b003f;
+        public static final int title_signature_date_info=0x7f0b003e;
+        public static final int title_signature_errors=0x7f0b0039;
+        public static final int type_image=0x7f0b001b;
     }
     public static final class layout {
         public static final int actionbar_capture_img_handwritten_signature=0x7f030000;
         public static final int actionbar_main=0x7f030001;
-        public static final int actionbar_select_sign_ubication_handwritten_signature=0x7f030002;
-        public static final int actionbar_sign_result_handwritten_signature=0x7f030003;
-        public static final int activity_bdocverify_result=0x7f030004;
-        public static final int activity_capture_img_handwritten_signature=0x7f030005;
-        public static final int activity_downloader=0x7f030006;
-        public static final int activity_file_to_share=0x7f030007;
-        public static final int activity_file_to_sign_handwritten_signature=0x7f030008;
-        public static final int activity_file_to_verify_bdoc=0x7f030009;
-        public static final int activity_main=0x7f03000a;
-        public static final int activity_select_sign_ubication_handwritten_signature=0x7f03000b;
-        public static final int activity_sign_result_handwritten_signature=0x7f03000c;
-        public static final int activity_signature_errors=0x7f03000d;
-        public static final int activity_signer_info=0x7f03000e;
-        public static final int activity_verify_result_bdoc=0x7f03000f;
-        public static final int cert_browser_item=0x7f030010;
-        public static final int certificate_buttons=0x7f030011;
-        public static final int certificate_chooser=0x7f030012;
-        public static final int document_inside_bdoc_item=0x7f030013;
-        public static final int error_inside_signature_item=0x7f030014;
-        public static final int file_to_sign_handwritten_signature_item=0x7f030015;
-        public static final int file_to_verify_bdoc_signature_item=0x7f030016;
-        public static final int list_item=0x7f030017;
-        public static final int main=0x7f030018;
-        public static final int progress_dialog=0x7f030019;
-        public static final int signer_inside_bdoc_item=0x7f03001a;
-        public static final int single_file_browser=0x7f03001b;
-        public static final int title_bar=0x7f03001c;
+        public static final int actionbar_recipient_certificate=0x7f030002;
+        public static final int actionbar_select_sign_ubication_handwritten_signature=0x7f030003;
+        public static final int actionbar_sign_result_handwritten_signature=0x7f030004;
+        public static final int activity_bdocverify_result=0x7f030005;
+        public static final int activity_capture_img_handwritten_signature=0x7f030006;
+        public static final int activity_downloader=0x7f030007;
+        public static final int activity_encryption_certificates=0x7f030008;
+        public static final int activity_file_to_share=0x7f030009;
+        public static final int activity_file_to_sign_handwritten_signature=0x7f03000a;
+        public static final int activity_file_to_verify_bdoc=0x7f03000b;
+        public static final int activity_main=0x7f03000c;
+        public static final int activity_select_sign_ubication_handwritten_signature=0x7f03000d;
+        public static final int activity_sign_result_handwritten_signature=0x7f03000e;
+        public static final int activity_signature_errors=0x7f03000f;
+        public static final int activity_signer_info=0x7f030010;
+        public static final int activity_verify_result_bdoc=0x7f030011;
+        public static final int cert_browser_item=0x7f030012;
+        public static final int certificate_buttons=0x7f030013;
+        public static final int certificate_chooser=0x7f030014;
+        public static final int document_inside_bdoc_item=0x7f030015;
+        public static final int error_inside_signature_item=0x7f030016;
+        public static final int file_to_sign_handwritten_signature_item=0x7f030017;
+        public static final int file_to_verify_bdoc_signature_item=0x7f030018;
+        public static final int list_item=0x7f030019;
+        public static final int main=0x7f03001a;
+        public static final int progress_dialog=0x7f03001b;
+        public static final int recipient_certificate_info=0x7f03001c;
+        public static final int signer_inside_bdoc_item=0x7f03001d;
+        public static final int single_file_browser=0x7f03001e;
+        public static final int title_bar=0x7f03001f;
     }
     public static final class menu {
@@ -235,7 +242,8 @@
         public static final int bdocverify_result=0x7f0a0002;
         public static final int downloader=0x7f0a0003;
-        public static final int file_to_share=0x7f0a0004;
-        public static final int main=0x7f0a0005;
-        public static final int tibisay_movil=0x7f0a0006;
+        public static final int encryption_certificates=0x7f0a0004;
+        public static final int file_to_share=0x7f0a0005;
+        public static final int main=0x7f0a0006;
+        public static final int tibisay_movil=0x7f0a0007;
     }
     public static final class plurals {
@@ -254,4 +262,5 @@
         public static final int certificate_password=0x7f050010;
         public static final int certificatedescription=0x7f050015;
+        public static final int certificates_dir=0x7f05004c;
         public static final int certificates_menu=0x7f05001f;
         public static final int change_password=0x7f05000c;
@@ -295,14 +304,20 @@
         public static final int keystore_new_password=0x7f05000d;
         public static final int keystore_password=0x7f050006;
-        public static final int label_certificate_issuer=0x7f050055;
-        public static final int label_certificate_serial=0x7f050052;
-        public static final int label_certificate_valid_from=0x7f050053;
-        public static final int label_certificate_valid_until=0x7f050054;
-        public static final int label_signature_errors=0x7f050056;
+        public static final int label_add_recipient_certificate=0x7f050067;
+        public static final int label_certificate_issuer=0x7f050056;
+        public static final int label_certificate_serial=0x7f050053;
+        public static final int label_certificate_to_remove=0x7f050066;
+        public static final int label_certificate_valid_from=0x7f050054;
+        public static final int label_certificate_valid_until=0x7f050055;
+        public static final int label_recipient_certificate=0x7f050065;
+        public static final int label_remove_recipient_certificate=0x7f050068;
+        public static final int label_signature_errors=0x7f050057;
         public static final int limpiar=0x7f05003b;
         public static final int limpiar_seleccion=0x7f050035;
+        public static final int manage_certificates_for_encryption=0x7f050063;
+        public static final int manage_personal_certificates=0x7f050062;
         public static final int modified=0x7f05001b;
         public static final int num_pagina_firmar=0x7f050037;
-        public static final int open_it_using=0x7f05004c;
+        public static final int open_it_using=0x7f05004d;
         public static final int open_keychain=0x7f05001c;
         public static final int password=0x7f050009;
@@ -323,23 +338,24 @@
         public static final int selectall=0x7f05001d;
         public static final int selectcertificatedescription=0x7f05001a;
-        public static final int share_bdoc_downloaded=0x7f05005d;
-        public static final int share_description=0x7f050060;
-        public static final int share_extracted_file_from_bdoc=0x7f05005e;
-        public static final int share_it_using=0x7f05004d;
-        public static final int share_pdf_signed=0x7f05005c;
-        public static final int signature_date_info=0x7f05004f;
+        public static final int share_bdoc_downloaded=0x7f05005e;
+        public static final int share_description=0x7f050061;
+        public static final int share_extracted_file_from_bdoc=0x7f05005f;
+        public static final int share_it_using=0x7f05004e;
+        public static final int share_pdf_signed=0x7f05005d;
+        public static final int signature_date_info=0x7f050050;
         public static final int signature_directory=0x7f050008;
-        public static final int string_invalid_signature=0x7f050059;
-        public static final int string_valid_signature=0x7f050058;
+        public static final int string_invalid_signature=0x7f05005a;
+        public static final int string_valid_signature=0x7f050059;
         public static final int text1=0x7f050004;
-        public static final int title_activity_activity_signature_errors=0x7f050057;
-        public static final int title_activity_activity_signer_info=0x7f050051;
+        public static final int title_activity_activity_signature_errors=0x7f050058;
+        public static final int title_activity_activity_signer_info=0x7f050052;
         public static final int title_activity_bdocverify_result=0x7f050049;
-        public static final int title_activity_downloader=0x7f05005b;
-        public static final int title_activity_file_to_share=0x7f05005f;
-        public static final int title_activity_tibisay_movil=0x7f05005a;
-        public static final int title_certificate_info=0x7f050050;
+        public static final int title_activity_downloader=0x7f05005c;
+        public static final int title_activity_encryption_certificates=0x7f050064;
+        public static final int title_activity_file_to_share=0x7f050060;
+        public static final int title_activity_tibisay_movil=0x7f05005b;
+        public static final int title_certificate_info=0x7f050051;
         public static final int title_progress_file_read=0x7f050039;
-        public static final int title_signer_info=0x7f05004e;
+        public static final int title_signer_info=0x7f05004f;
         /**  Values for the contentDescription attribute of widgets 
          */