Index: TibisayMovil/AndroidManifest.xml
===================================================================
--- TibisayMovil/AndroidManifest.xml	(revision 288126d7faf1d05b5222029383542ccbbb4d4a26)
+++ TibisayMovil/AndroidManifest.xml	(revision 8243993c2c2f245228aceed4027655fc43506e81)
@@ -36,4 +36,6 @@
         <activity android:name="ve.gob.cenditel.tibisaymovil.FilesToPKCS7SignActivity" >
         </activity>
+        <activity android:name="ve.gob.cenditel.tibisaymovil.FilesToPDFSignActivity" >
+        </activity>
         <activity android:name="ve.gob.cenditel.tibisaymovil.CaptureImgHandwrittenSignatureActivity" >
         </activity>
@@ -53,4 +55,6 @@
         </activity>
         <activity android:name="ve.gob.cenditel.tibisaymovil.FilesToPKCS7SignConfirmationActivity" >
+        </activity>
+        <activity android:name="ve.gob.cenditel.tibisaymovil.FilesToPDFSignConfirmationActivity" >
         </activity>
         <activity android:name="ve.gob.cenditel.tibisaymovil.SignActivity" >
Index: TibisayMovil/gen/net/neiti/droidtext/R.java
===================================================================
--- TibisayMovil/gen/net/neiti/droidtext/R.java	(revision 288126d7faf1d05b5222029383542ccbbb4d4a26)
+++ TibisayMovil/gen/net/neiti/droidtext/R.java	(revision 8243993c2c2f245228aceed4027655fc43506e81)
@@ -17,5 +17,5 @@
 	}
 	public static final class layout {
-		public static final int main = 0x7f03002d;
+		public static final int main = 0x7f03002e;
 	}
 	public static final class drawable {
Index: TibisayMovil/gen/ve/gob/cenditel/tibisaymovil/R.java
===================================================================
--- TibisayMovil/gen/ve/gob/cenditel/tibisaymovil/R.java	(revision 288126d7faf1d05b5222029383542ccbbb4d4a26)
+++ TibisayMovil/gen/ve/gob/cenditel/tibisaymovil/R.java	(revision 8243993c2c2f245228aceed4027655fc43506e81)
@@ -295,15 +295,16 @@
         public static final int file_to_sign_handwritten_signature_item=0x7f030029;
         public static final int file_to_verify_bdoc_signature_item=0x7f03002a;
-        public static final int files_to_pkcs7_sign_item=0x7f03002b;
-        public static final int list_item=0x7f03002c;
-        public static final int main=0x7f03002d;
-        public static final int password=0x7f03002e;
-        public static final int password_confirmation=0x7f03002f;
-        public static final int progress_dialog=0x7f030030;
-        public static final int recipient_certificate_info=0x7f030031;
-        public static final int sign=0x7f030032;
-        public static final int signer_inside_bdoc_item=0x7f030033;
-        public static final int single_file_browser=0x7f030034;
-        public static final int title_bar=0x7f030035;
+        public static final int files_to_pdf_sign_item=0x7f03002b;
+        public static final int files_to_pkcs7_sign_item=0x7f03002c;
+        public static final int list_item=0x7f03002d;
+        public static final int main=0x7f03002e;
+        public static final int password=0x7f03002f;
+        public static final int password_confirmation=0x7f030030;
+        public static final int progress_dialog=0x7f030031;
+        public static final int recipient_certificate_info=0x7f030032;
+        public static final int sign=0x7f030033;
+        public static final int signer_inside_bdoc_item=0x7f030034;
+        public static final int single_file_browser=0x7f030035;
+        public static final int title_bar=0x7f030036;
     }
     public static final class menu {
Index: TibisayMovil/src/ve/gob/cenditel/tibisaymovil/CertValidatorActivity.java
===================================================================
--- TibisayMovil/src/ve/gob/cenditel/tibisaymovil/CertValidatorActivity.java	(revision 288126d7faf1d05b5222029383542ccbbb4d4a26)
+++ TibisayMovil/src/ve/gob/cenditel/tibisaymovil/CertValidatorActivity.java	(revision 8243993c2c2f245228aceed4027655fc43506e81)
@@ -30,4 +30,5 @@
 import android.widget.LinearLayout;
 import android.widget.TextView;
+import android.widget.Toast;
 
 public class CertValidatorActivity extends Activity implements OnClickListener {
@@ -51,4 +52,5 @@
     private AsyncTask<X509Certificate, Void, Integer> validateTask = null;
     private int result = PENDING;
+    boolean embedSignature;
 
     /** Called when the activity is first created. */
@@ -63,4 +65,7 @@
         this.alias = getIntent().getStringExtra(IntentExtraField.ALIAS);
         this.files = getIntent().getParcelableArrayListExtra(IntentExtraField.FILES);
+        this.embedSignature = getIntent().getBooleanExtra(IntentExtraField.EMBED_SIGNATURE_IN_PDF, false);
+        Toast.makeText(this, "embebed="+embedSignature, Toast.LENGTH_SHORT).show();
+
         
         if (files.isEmpty())
@@ -112,5 +117,5 @@
 
             Intent intent = new Intent();
-//            intent.putExtra(IntentExtraField.EMBED_SIGNATURE_IN_PDF, this.viewHolder.embedSignature.isChecked());
+            intent.putExtra(IntentExtraField.EMBED_SIGNATURE_IN_PDF, embedSignature);
             setResult(Activity.RESULT_OK, intent);
             finish();
Index: TibisayMovil/src/ve/gob/cenditel/tibisaymovil/TibisayMovilActivity.java
===================================================================
--- TibisayMovil/src/ve/gob/cenditel/tibisaymovil/TibisayMovilActivity.java	(revision 3fe55cf536b031bec5296132865e1638a0d99301)
+++ TibisayMovil/src/ve/gob/cenditel/tibisaymovil/TibisayMovilActivity.java	(revision 8243993c2c2f245228aceed4027655fc43506e81)
@@ -190,4 +190,9 @@
 		startActivity(intent);
 	}
+	
+	private void filesToPDFSign(){
+		Intent intent = new Intent(this, FilesToPDFSignActivity.class);
+		startActivity(intent);
+	}
 
 	
@@ -239,5 +244,5 @@
 				break;
 			case 1: // Firma Electronica PDF
-				
+				filesToPDFSign();					
 				break;
 			case 2: // Firma PKCS7
@@ -306,7 +311,7 @@
 		final String[] option;
 		if (Build.VERSION.SDK_INT < Build.VERSION_CODES.ICE_CREAM_SANDWICH){
-			option = new String[] {getString(R.string.manage_personal_certificates), getString( R.string.manage_certificates_for_encryption) };
+			option = new String[] {getString(R.string.manage_personal_certificates), getString(R.string.manage_certificates_for_encryption) };
 		} else {
-			option = new String[] {getString(R.string.manage_personal_certificates) };
+			option = new String[] {getString(R.string.manage_certificates_for_encryption) };
 		}
 		