Index: TibisayMovil/gen/ve/gob/cenditel/tibisaymovil/R.java
===================================================================
--- TibisayMovil/gen/ve/gob/cenditel/tibisaymovil/R.java	(revision c14b8d2319ed7589fa864c719a12dcce29dc49cd)
+++ TibisayMovil/gen/ve/gob/cenditel/tibisaymovil/R.java	(revision c14b8d2319ed7589fa864c719a12dcce29dc49cd)
@@ -360,72 +360,75 @@
     }
     public static final class string {
-        public static final int ERROR_CHAIN_RESULT=0x7f080032;
-        public static final int EXPIRED=0x7f080036;
-        public static final int GOOD_UNTRUSTED_RESULT=0x7f080033;
-        public static final int NOTYETVALID=0x7f080037;
-        public static final int REVOKED_RESULT=0x7f080034;
-        public static final int UNKNOWN_RESULT=0x7f080035;
+        public static final int ERROR_CHAIN_RESULT=0x7f080036;
+        public static final int EXPIRED=0x7f08003a;
+        public static final int GOOD_UNTRUSTED_RESULT=0x7f080037;
+        public static final int NOTYETVALID=0x7f08003b;
+        public static final int REVOKED_RESULT=0x7f080038;
+        public static final int UNKNOWN_RESULT=0x7f080039;
         public static final int action_settings=0x7f080001;
         public static final int app_name=0x7f080000;
-        public static final int back=0x7f08003e;
-        public static final int certificados=0x7f080064;
+        public static final int back=0x7f080042;
+        public static final int certificados=0x7f080068;
         public static final int certificate_data=0x7f080027;
-        public static final int certificate_description=0x7f080091;
-        public static final int certificate_dir_files=0x7f080092;
+        public static final int certificate_description=0x7f080095;
+        public static final int certificate_dir_files=0x7f080096;
         public static final int certificate_not_valid=0x7f080029;
         public static final int certificate_password=0x7f08000f;
-        public static final int certificate_to_load_description=0x7f08008c;
+        public static final int certificate_to_load_description=0x7f080090;
         public static final int certificate_valid=0x7f08002a;
         public static final int certificate_validation_failed=0x7f08002b;
         public static final int certificate_validation_not_connected=0x7f08002c;
         public static final int certificatedescription=0x7f080014;
-        public static final int certificates_dir=0x7f08006e;
+        public static final int certificates_dir=0x7f080072;
         public static final int certificates_menu=0x7f08001e;
         public static final int change_password=0x7f08000b;
         public static final int checking_certificate=0x7f08002d;
-        public static final int cifrar=0x7f080060;
-        public static final int compartir=0x7f080062;
-        public static final int compartir_b=0x7f080063;
+        public static final int cifrar=0x7f080064;
+        public static final int compartir=0x7f080066;
+        public static final int compartir_b=0x7f080067;
         public static final int confirmation=0x7f08000e;
         public static final int confirmationdescription=0x7f080018;
-        public static final int continuar=0x7f08005e;
-        public static final int decrypt_description=0x7f08009c;
-        public static final int decrypted_dir_files=0x7f08009f;
+        public static final int continuar=0x7f080062;
+        public static final int decrypt_description=0x7f0800a0;
+        public static final int decrypted_dir_files=0x7f0800a3;
         public static final int delete=0x7f08001d;
-        public static final int descifrar=0x7f080061;
-        public static final int downloaded_dir_files=0x7f08006d;
-        public static final int encrypt_description=0x7f08008f;
-        public static final int encrypted_dir_files=0x7f080093;
-        public static final int errorConnection=0x7f080042;
-        public static final int errorServerNotReachable=0x7f080041;
-        public static final int error_decrypting_file_index_out_of_bounds=0x7f0800a1;
+        public static final int descifrar=0x7f080065;
+        public static final int downloaded_dir_files=0x7f080071;
+        public static final int encrypt_description=0x7f080093;
+        public static final int encrypted_dir_files=0x7f080097;
+        public static final int errorConnection=0x7f080046;
+        public static final int errorServerNotReachable=0x7f080045;
+        public static final int error_decrypting_file_index_out_of_bounds=0x7f0800a5;
         public static final int error_empty_or_null_certificates=0x7f080024;
         public static final int error_keystore_file=0x7f080026;
-        public static final int error_lectura=0x7f080058;
+        public static final int error_lectura=0x7f08005c;
         public static final int error_no_space=0x7f080006;
         public static final int error_reading_p12=0x7f080011;
         public static final int error_unknown=0x7f080023;
-        public static final int errornoemail=0x7f080040;
+        public static final int errordimension=0x7f080034;
+        public static final int errorformat=0x7f080032;
+        public static final int errornoemail=0x7f080044;
+        public static final int errorsize=0x7f080033;
         public static final int external_dir=0x7f080015;
         public static final int external_dir_files=0x7f080016;
-        public static final int extracted_dir_files=0x7f08006c;
-        public static final int file_to_encrypt_description=0x7f08008e;
+        public static final int extracted_dir_files=0x7f080070;
+        public static final int file_to_encrypt_description=0x7f080092;
         public static final int files_to_sign=0x7f080031;
-        public static final int finalizar=0x7f08005d;
-        public static final int firma_guardada=0x7f080056;
-        public static final int firmar=0x7f080046;
-        public static final int firmar_abajo=0x7f08004f;
-        public static final int firmar_elec_pdf=0x7f08004a;
-        public static final int firmar_man_arch_firm=0x7f080050;
-        public static final int firmar_man_arch_para_firm=0x7f080051;
-        public static final int firmar_man_capt_img=0x7f08004c;
-        public static final int firmar_man_exist_img=0x7f08004d;
-        public static final int firmar_man_img_path=0x7f080052;
-        public static final int firmar_man_pdf=0x7f080047;
-        public static final int firmar_man_prefer_img=0x7f08004e;
-        public static final int firmar_man_seleccione_archivo=0x7f080048;
-        public static final int firmar_man_seleccione_img=0x7f080049;
-        public static final int firmar_man_ubicacion=0x7f080053;
-        public static final int firmar_pkcs7=0x7f08004b;
+        public static final int finalizar=0x7f080061;
+        public static final int firma_guardada=0x7f08005a;
+        public static final int firmar=0x7f08004a;
+        public static final int firmar_abajo=0x7f080053;
+        public static final int firmar_elec_pdf=0x7f08004e;
+        public static final int firmar_man_arch_firm=0x7f080054;
+        public static final int firmar_man_arch_para_firm=0x7f080055;
+        public static final int firmar_man_capt_img=0x7f080050;
+        public static final int firmar_man_exist_img=0x7f080051;
+        public static final int firmar_man_img_path=0x7f080056;
+        public static final int firmar_man_pdf=0x7f08004b;
+        public static final int firmar_man_prefer_img=0x7f080052;
+        public static final int firmar_man_seleccione_archivo=0x7f08004c;
+        public static final int firmar_man_seleccione_img=0x7f08004d;
+        public static final int firmar_man_ubicacion=0x7f080057;
+        public static final int firmar_pkcs7=0x7f08004f;
         public static final int hello_world=0x7f080002;
         public static final int incorrect_password=0x7f08000d;
@@ -437,30 +440,30 @@
         public static final int keystore_new_password=0x7f08000c;
         public static final int keystore_password=0x7f080005;
-        public static final int label_add_recipient_certificate=0x7f080089;
-        public static final int label_archivo_a_cifrar=0x7f080095;
-        public static final int label_archivo_a_descifrar=0x7f0800a4;
-        public static final int label_archivo_cifrado=0x7f080096;
-        public static final int label_archivo_descifrado=0x7f0800a5;
-        public static final int label_certificate_issuer=0x7f080078;
-        public static final int label_certificate_serial=0x7f080075;
-        public static final int label_certificate_to_remove=0x7f080088;
-        public static final int label_certificate_valid_from=0x7f080076;
-        public static final int label_certificate_valid_until=0x7f080077;
-        public static final int label_destinatario_cifrado=0x7f080097;
-        public static final int label_recipient_certificate=0x7f080087;
-        public static final int label_remove_recipient_certificate=0x7f08008a;
-        public static final int label_signature_errors=0x7f080079;
-        public static final int limpiar=0x7f08005b;
-        public static final int limpiar_seleccion=0x7f080055;
-        public static final int manage_certificates_for_encryption=0x7f080085;
-        public static final int manage_personal_certificates=0x7f080084;
+        public static final int label_add_recipient_certificate=0x7f08008d;
+        public static final int label_archivo_a_cifrar=0x7f080099;
+        public static final int label_archivo_a_descifrar=0x7f0800a8;
+        public static final int label_archivo_cifrado=0x7f08009a;
+        public static final int label_archivo_descifrado=0x7f0800a9;
+        public static final int label_certificate_issuer=0x7f08007c;
+        public static final int label_certificate_serial=0x7f080079;
+        public static final int label_certificate_to_remove=0x7f08008c;
+        public static final int label_certificate_valid_from=0x7f08007a;
+        public static final int label_certificate_valid_until=0x7f08007b;
+        public static final int label_destinatario_cifrado=0x7f08009b;
+        public static final int label_recipient_certificate=0x7f08008b;
+        public static final int label_remove_recipient_certificate=0x7f08008e;
+        public static final int label_signature_errors=0x7f08007d;
+        public static final int limpiar=0x7f08005f;
+        public static final int limpiar_seleccion=0x7f080059;
+        public static final int manage_certificates_for_encryption=0x7f080089;
+        public static final int manage_personal_certificates=0x7f080088;
         public static final int modified=0x7f08001a;
-        public static final int msg_encryption_error=0x7f080099;
-        public static final int msg_encryption_success=0x7f080098;
+        public static final int msg_encryption_error=0x7f08009d;
+        public static final int msg_encryption_success=0x7f08009c;
         public static final int no_access_to_keystore=0x7f080025;
-        public static final int no_storage=0x7f08003b;
-        public static final int nosignedfiles=0x7f08003a;
-        public static final int num_pagina_firmar=0x7f080057;
-        public static final int open_it_using=0x7f08006f;
+        public static final int no_storage=0x7f08003f;
+        public static final int nosignedfiles=0x7f08003e;
+        public static final int num_pagina_firmar=0x7f08005b;
+        public static final int open_it_using=0x7f080073;
         public static final int open_keychain=0x7f08001b;
         public static final int password=0x7f080008;
@@ -468,67 +471,68 @@
         public static final int pathstring=0x7f080017;
         public static final int pdf_embed_signature=0x7f080028;
-        public static final int pkcs12_to_decrypt_description=0x7f08009e;
-        public static final int por_favor_epsere=0x7f08005a;
+        public static final int pkcs12_to_decrypt_description=0x7f0800a2;
+        public static final int por_favor_epsere=0x7f08005e;
         public static final int preference_image=0x7f08001f;
+        public static final int preference_image_summary=0x7f080035;
         public static final int preference_position=0x7f080020;
         public static final int preference_position_summary=0x7f080021;
-        public static final int preferencias=0x7f080065;
+        public static final int preferencias=0x7f080069;
         public static final int recreate_keystore=0x7f080009;
         public static final int recreate_keystore_confirmation=0x7f08000a;
-        public static final int retroceder=0x7f08005c;
-        public static final int sel_sign_area=0x7f080054;
+        public static final int retroceder=0x7f080060;
+        public static final int sel_sign_area=0x7f080058;
         /**  Menu Principal 
          */
-        public static final int seleccione_opcion=0x7f080044;
-        public static final int seleccione_opcion_firmar_man_img=0x7f080045;
+        public static final int seleccione_opcion=0x7f080048;
+        public static final int seleccione_opcion_firmar_man_img=0x7f080049;
         public static final int selectall=0x7f08001c;
         public static final int selectcertificatedescription=0x7f080019;
         public static final int serial_number=0x7f08002f;
-        public static final int share=0x7f08003f;
-        public static final int share_bdoc_downloaded=0x7f080080;
-        public static final int share_description=0x7f080083;
-        public static final int share_encrypted=0x7f08009a;
-        public static final int share_extracted_file_from_bdoc=0x7f080081;
-        public static final int share_it_using=0x7f080070;
-        public static final int share_pdf_signed=0x7f08007f;
-        public static final int sign_status=0x7f08003c;
-        public static final int signature_date_info=0x7f080072;
+        public static final int share=0x7f080043;
+        public static final int share_bdoc_downloaded=0x7f080084;
+        public static final int share_description=0x7f080087;
+        public static final int share_encrypted=0x7f08009e;
+        public static final int share_extracted_file_from_bdoc=0x7f080085;
+        public static final int share_it_using=0x7f080074;
+        public static final int share_pdf_signed=0x7f080083;
+        public static final int sign_status=0x7f080040;
+        public static final int signature_date_info=0x7f080076;
         public static final int signature_directory=0x7f080007;
-        public static final int signedfiles=0x7f080039;
-        public static final int signing_files=0x7f08003d;
-        public static final int string_invalid_signature=0x7f08007c;
-        public static final int string_valid_signature=0x7f08007b;
+        public static final int signedfiles=0x7f08003d;
+        public static final int signing_files=0x7f080041;
+        public static final int string_invalid_signature=0x7f080080;
+        public static final int string_valid_signature=0x7f08007f;
         public static final int subject=0x7f08002e;
         public static final int text1=0x7f080003;
-        public static final int title_activity_activity_signature_errors=0x7f08007a;
-        public static final int title_activity_activity_signer_info=0x7f080074;
-        public static final int title_activity_bdocverify_result=0x7f08006b;
-        public static final int title_activity_certificate_to_load=0x7f08008b;
-        public static final int title_activity_decrypt_result=0x7f0800a2;
-        public static final int title_activity_decryption_result=0x7f0800a3;
-        public static final int title_activity_downloader=0x7f08007e;
-        public static final int title_activity_encryption_certificates=0x7f080086;
-        public static final int title_activity_encryption_result=0x7f080094;
-        public static final int title_activity_file_to_decrypt=0x7f08009b;
-        public static final int title_activity_file_to_encrypt=0x7f08008d;
-        public static final int title_activity_file_to_share=0x7f080082;
-        public static final int title_activity_pdfverify_result=0x7f0800a6;
-        public static final int title_activity_pkcs12_to_decrypt=0x7f08009d;
-        public static final int title_activity_select_certificate_to_encrypt=0x7f080090;
-        public static final int title_activity_tibisay_movil=0x7f08007d;
-        public static final int title_certificate_info=0x7f080073;
-        public static final int title_pkcs12_password=0x7f0800a0;
-        public static final int title_progress_file_read=0x7f080059;
-        public static final int title_signer_info=0x7f080071;
+        public static final int title_activity_activity_signature_errors=0x7f08007e;
+        public static final int title_activity_activity_signer_info=0x7f080078;
+        public static final int title_activity_bdocverify_result=0x7f08006f;
+        public static final int title_activity_certificate_to_load=0x7f08008f;
+        public static final int title_activity_decrypt_result=0x7f0800a6;
+        public static final int title_activity_decryption_result=0x7f0800a7;
+        public static final int title_activity_downloader=0x7f080082;
+        public static final int title_activity_encryption_certificates=0x7f08008a;
+        public static final int title_activity_encryption_result=0x7f080098;
+        public static final int title_activity_file_to_decrypt=0x7f08009f;
+        public static final int title_activity_file_to_encrypt=0x7f080091;
+        public static final int title_activity_file_to_share=0x7f080086;
+        public static final int title_activity_pdfverify_result=0x7f0800aa;
+        public static final int title_activity_pkcs12_to_decrypt=0x7f0800a1;
+        public static final int title_activity_select_certificate_to_encrypt=0x7f080094;
+        public static final int title_activity_tibisay_movil=0x7f080081;
+        public static final int title_certificate_info=0x7f080077;
+        public static final int title_pkcs12_password=0x7f0800a4;
+        public static final int title_progress_file_read=0x7f08005d;
+        public static final int title_signer_info=0x7f080075;
         /**  Values for the contentDescription attribute of widgets 
          */
-        public static final int type=0x7f080043;
-        public static final int unsigned2=0x7f080038;
-        public static final int verificar=0x7f08005f;
-        public static final int verificar_seleccione_archivo=0x7f080066;
-        public static final int verificar_titulo_firmae=0x7f080067;
-        public static final int verificar_titulo_lista_doc=0x7f080069;
-        public static final int verificar_titulo_lista_docs=0x7f080068;
-        public static final int verificar_titulo_lista_firmantes=0x7f08006a;
+        public static final int type=0x7f080047;
+        public static final int unsigned2=0x7f08003c;
+        public static final int verificar=0x7f080063;
+        public static final int verificar_seleccione_archivo=0x7f08006a;
+        public static final int verificar_titulo_firmae=0x7f08006b;
+        public static final int verificar_titulo_lista_doc=0x7f08006d;
+        public static final int verificar_titulo_lista_docs=0x7f08006c;
+        public static final int verificar_titulo_lista_firmantes=0x7f08006e;
     }
     public static final class style {